javax.swing.plaf.metal

## Class MetalComboBoxUI.MetalComboBoxLayoutManager

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
  - - javax.swing.plaf.metal.MetalComboBoxUI.MetalComboBoxLayoutManager

All Implemented Interfaces:
  LayoutManager

Enclosing class:
  MetalComboBoxUI

    public class MetalComboBoxUI.MetalComboBoxLayoutManager
    extends BasicComboBoxUI.ComboBoxLayoutManager

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `MetalComboBoxUI`.

### Constructor Summary

Constructors
Constructor and Description
`MetalComboBoxLayoutManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `layoutContainer(Container parent)` Lays out the specified container.
`void` `superLayout(Container parent)`

### Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager

`addLayoutComponent, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetalComboBoxLayoutManager

    public MetalComboBoxLayoutManager()

### Method Detail

#### layoutContainer

    public void layoutContainer(Container parent)

Description copied from interface: `LayoutManager`
Lays out the specified container.

Specified by:
  `layoutContainer` in interface `LayoutManager`
Overrides:
  `layoutContainer` in class `BasicComboBoxUI.ComboBoxLayoutManager`
Parameters:
  `parent` - the container to be laid out

#### superLayout

    public void superLayout(Container parent)